%define fw_version 5.24

Summary:	KDE Frameworks 5 QtWebKit integration module
Name:		kdewebkit
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kconfig-devel >= %{version}
BuildRequires:	kcoreaddons-devel >= %{version}
BuildRequires:	kio-devel >= %{version}
BuildRequires:	kjobwidgets-devel >= %{version}
BuildRequires:	kparts-devel >= %{version}
BuildRequires:	kservice-devel >= %{version}
BuildRequires:	kwallet-kf5-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 QtWebKit integration module.

This library provides KDE integration of the QtWebKit library. If you are
using QtWebKit in your KDE application, you are encouraged to use this layer
instead of using the QtWebKit classes directly.

#----------------------------------------------------------------------------

%define kf5webkit_major 5
%define libkf5webkit %mklibname kf5webkit %{kf5webkit_major}

%package -n %{libkf5webkit}
Summary:	KDE Frameworks 5 QtWebKit integration shared library
Group:		System/Libraries

%description -n %{libkf5webkit}
KDE Frameworks 5 QtWebKit integration shared library.

%files -n %{libkf5webkit}
%{_kde5_libdir}/libKF5WebKit.so.%{kf5webkit_major}*

#----------------------------------------------------------------------------

%define devkf5webkit %mklibname kf5webkit -d

%package -n %{devkf5webkit}
Summary:	Development files for KDE Frameworks 5 QtWebKit integration module
Group:		Development/KDE and Qt
Requires:	%{libkf5webkit} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5webkit-devel = %{version}

%description -n %{devkf5webkit}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5webkit}
%{_kde5_includedir}/KF5/KDEWebKit
%{_kde5_includedir}/KF5/kdewebkit_version.h
%{_kde5_libdir}/cmake/KF5WebKit
%{_kde5_libdir}/libKF5WebKit.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (c537337) New version 5.24.0


